package com.yutou.biliapi.bean.live.database;

import com.alibaba.fastjson2.annotation.JSONField;
import com.yutou.biliapi.bean.websocket.live.WSSuperChatMessage;
import com.yutou.common.databases.AbsDatabasesBean;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class LiveSuperChatDatabaseBean extends AbsDatabasesBean {
    @JSONField(name = "id")
    private int id;
    @JSONField(name = "price")
    private long price;
    @JSONField(name = "uid")
    private String uid;
    @JSONField(name = "start_time")
    private long start_time;
    @JSONField(name = "end_time")
    private long end_time;
    @JSONField(name = "message")
    private String message;
    @JSONField(name = "message_trans")
    private String message_trans;
    @JSONField(name = "message_font_color")
    private String message_font_color;
    @JSONField(name = "background_bottom_color")
    private String backgroundBottomColor;
    @JSONField(name = "user_name_color")
    private String userNameColor;
    @JSONField(name ="user_name")
    private String userName;
    @JSONField(name ="user_avatar")
    private String userAvatar;

    public LiveSuperChatDatabaseBean() {
        super("superChat",System.currentTimeMillis());
    }

    public LiveSuperChatDatabaseBean(WSSuperChatMessage bean) {
        super("superChat",bean.getWs_timer());
        price = bean.getPrice();
        uid = bean.getUid();
        start_time = bean.getStart_time();
        end_time = bean.getEnd_time();
        userName= bean.getUserName();
        userAvatar = bean.getUserAvatar();
        message = bean.getMessage();
        message_trans = bean.getMessage_trans();
        message_font_color = bean.getMessage_font_color();
        backgroundBottomColor=bean.getBackground_bottom_color();
        userNameColor=bean.getUserNameColor();

    }


}
